Skip to content

List execution results for a data connector

Request

Retrieve paginated execution logs for a specific data connector. Results from the last hour are returned by default. Use start_ts and end_ts to customize the time range.

Request/response bodies are excluded by default. Use include_bodies=true to include them.

Security
bearerAuth
Path
data_connector_idstringrequired

The unique identifier for the data connector.

Example:12345
Query
per_pageinteger, [ 1 .. 30 ]

The number of results per page (1-30, default 10).

Default:10
starting_afterstring

Cursor for pagination. Use the value from pages.next.starting_after in a previous response.

successstring

Filter by success status. Use true, false, or omit for all.

Enum:"true""false"
error_typestring

Filter by error type.

Enum:"request_configuration_error""faraday_error""3rd_party_error""response_mapping_error""token_refresh_error""fin_action_response_formatting_error""fin_action_identity_verification_error""email_verification_error""non_fin_standalone_action_identity_verification_error""request_validation_error"
start_tsinteger

Unix timestamp for start of time range (default 1 hour ago).

end_tsinteger

Unix timestamp for end of time range (default now).

include_bodiesstring

Include request/response bodies in the response (default false).

Enum:"true""false"
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X GET \
  'https://api.intercom.io/data_connectors/12345/execution_results?per_page=10&starting_after=string&success=true&error_type=request_configuration_error&start_ts=0&end_ts=0&include_bodies=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

successful

Bodyapplication/json
typestring

The type of object - list.

Value:"list"
Example:"list"

An array of execution result objects.

pagesobject

Pagination information.

Response
{ "type": "list", "data": [ {}, {} ], "pages": { "type": "pages", "per_page": 10, "next": {} } }